//***** 系统常量相关 *****
var helper = {
	lazyPx:500,//懒加载距离屏幕多少个像素开始加载图片
	isdebug:true,
    //Android包名
    packageName: 'com.zongmei.zhuanfake',

    //AppleId苹果Id 首次发布后才有这个Id，先用好吃妹的
    appleId: '1085977239',

    // Api服务器url
    serverUrl: 'http://api.llwanjia.com/',
    //serverUrl: 'http://192.168.1.33:6653/',
	
    // 文件上传Host
    uploadHost: 'http://ydupload.zhuanfake.me/home/Upload',

    // 文件上传地址
    uploadFile: 'http://ydupload.zhuanfake.me/home/Upload',

    // 默认分页大小
    pageSize: 6,

    // 请求超时
    xhrTimeout: 20000,
	// 网络请求
	ajax: function(url, type, data, callback,errback){
        mui.ajax({
            url: helper.serverUrl + url,
            type: type,
            data: type.toUpperCase()=="POST"?JSON.stringify(data):data, 
            dataType: 'json',
            contentType: 'application/json',
            timeout: 10000,
            crossDomain: true,
            success: callback,
            error: errback,
            beforeSend: function() {
                mui.os.plus && plus.nativeUI.showWaiting();
            },
            complete: function() {
                mui.os.plus && plus.nativeUI.closeWaiting();
            }
		});			
    },
   
    /**
	 * 获取城市
	 */
    getCity: function () {
        var city = plus.storage.getItem('zfk_city');
       
        if (city == null) {
            city = {
                city_id: 0,
                city_name: '全国'
            };
            plus.storage.setItem('zfk_city', JSON.stringify(city));
            return city;
        }
        return JSON.parse(city);
    },
    /**
	 * 获取会员缓存
	 */
    getMemberCache: function () {
        if (plus.storage.getItem("member_cache") == null) {
            return null;
        }
        var member = JSON.parse(plus.storage.getItem("member_cache"));
        return member;
    }, 
    /**
	 * 打开新窗口
	 * @param {URIString} id : 要打开页面id
	 * @param {URIString} url : 要打开页面的url
	 * @param {boolean} is_wait : 是否显示等待框
	 * @param {boolean} is_show : 是否自动显示
	 * @param {JSObject} extras : 参数，json对象
	 */
    openWindow: function (id, url, is_wait, is_show, extras, aniShow) {

        var options = {
            id: id,
            url: url,
            show: {
                aniShow: 'slide-in',
                autoShow: true
            },
            waiting: {
                autoShow: true, //自动显示等待框，默认为true
                title: '正在加载...' //等待对话框上显示的提示内容
            }
        };

        if (is_wait == false) {
            options.waiting.autoShow = false;
        }
        if (is_show == false) {
            options.show.autoShow = false
        }

        if (extras != null) {
            options.extras = extras;
        }

        if (aniShow) {
            options.show.aniShow = aniShow;
        } else {
            options.show.aniShow = 'slide-in';
        }

        return mui.openWindow(options);
    },
     /**
	 * 检查是否已经登录,已登录返回对象
	 * @param {JSObject} extras : 参数，json对象
	 */
    checkIsLogin: function () {
    	var member = plus.storage.getItem("member_cache");
        if (member == null) {
            helper.openWindow("login.html", "/member/login.html", false, true, null, 'slide-in-right');
            return false;
        }
        return true;
    },
    gotoLogin: function(){   	
    	plus.storage.removeItem("member_cache");
    	var loginPage = plus.webview.getWebviewById('login.html');
    	helper.openWindow("login.html", "/member/login.html", false, true, null);	     	
    },
    // 绑定(.mui-scroll-wrapper)滚动事件
    wrapperScroll: function (className) {
        if (!className) {
            className = '.mui-scroll-wrapper';
        }
        mui(className).scroll({
            bounce: false,
            indicators: true,
            deceleration: 0.0006
        });
    },
  	//复制到剪切板
  	copyToClip: function(_copyText)
  	{
 		if (plus.os.name == 'Android') {
	        var Context = plus.android.importClass("android.content.Context");
	        var main = plus.android.runtimeMainActivity();
	        var clip = main.getSystemService(Context.CLIPBOARD_SERVICE);
	        plus.android.invoke(clip, "setText", _copyText);
	    } else {
	         // 获取剪切板
	        var UIPasteboard = plus.ios.importClass("UIPasteboard");
	        var generalPasteboard = UIPasteboard.generalPasteboard();
	        // 设置/获取文本内容
	        generalPasteboard.setValueforPasteboardType(_copyText, "public.utf8-plain-text");
	    } 	    
	    mui.toast("分享内容复制成功，请粘贴到微信进行分享");
  	},
	//联网下载图片
    setImgFromNet: function(loadUrl,relativePath,callback) {
        //先设置下载中的默认图片
        //$id(imgId).setAttribute("src", "../images/loading.png");
        //创建下载任务
        var dtask = plus.downloader.createDownload(loadUrl, {}, function(d, status) {
         if (status == 200) {
		/*plus.gallery.save(d.filename, function () {
				mui.toast( "下载成功，保存到手机相册" );
			});*/
			
			callback &&	callback(relativePath);
            //下载成功
            //console.log("下载成功=" + relativePath);
            //mui.toast("下载成功，保存到手机相册");            
        } else {
             //下载失败,需删除本地临时文件,否则下次进来时会检查到图片已存在
             //console.log("下载失败=" + status+"=="+relativePath);
             //dtask.abort();//文档描述:取消下载,删除临时文件;(但经测试临时文件没有删除,故使用delFile()方法删除);
             if (relativePath!=null)
                this.delFile(relativePath);
             	callback && callback("");           	
            }
        });
        //启动下载任务
        dtask.start();
    }, 
    /*
    *1.从本地获取,如果本地存在,则不下载
    *2.如果本地不存在则联网下载
    * */
    checkLocalImg: function(loadUrl,callback) {
        if (loadUrl == null) return;
        //图片下载成功 默认保存在本地相对路径的"_downloads"文件夹里面, 如"_downloads/logo.jpg"
        var filename = loadUrl.substring(loadUrl.lastIndexOf("/") + 1, loadUrl.length);
        var relativePath = "_downloads/" + filename;
        //检查图片是否已存在
        //console.log("绝对路径："+plus.io.convertLocalFileSystemURL(relativePath));
        plus.io.resolveLocalFileSystemURL(relativePath, function(entry) {
        	//返回相对路径
            callback && callback(relativePath);          
        }, function(e) {
            //console.log("图片不存在,联网下载=" + relativePath);
            //如果文件不存在,联网下载图片      
            helper.setImgFromNet(loadUrl,relativePath,function(_backImg){
            	if(callback)
            	{
            		callback(_backImg);
            	}
            });
        });
    },
    initIOSShare: function() {
    	//IOS系统分享
    	var _BARCODE = 'NativeShare',
    		B = window.plus.bridge;
    	if (plus.os.name == "iOS") {
    		var NativeShare = {
    			/**
    			 * 分享
    			 * @param {Object} var1 分享对象
    			 * @param {Function} successCallback 成功的回调
    			 * @param {Function} errorCallback 错误的回调
    			 */
    			share: function(var1, successCallback, errorCallback) {
    				var success = typeof successCallback !== 'function' ? null : function(args) {
    						successCallback(args);
    					},
    					fail = typeof errorCallback !== 'function' ? null : function(code) {
    						errorCallback(code);
    					};
    				callbackID = B.callbackId(success, fail);

    				return B.exec(_BARCODE, "share", [callbackID, var1.imgs || [], var1.title || '', var1.link || '']);
    			},
    		};
    		window.plus.NativeShare = NativeShare;
    	}
    },
    VJiaTaskMtID: '36afd9f03d89b46bcc30509fb58529d4',
    initIOSVJiaTask: function() {
    	//IOS VJia任务
    	var _BARCODE = 'VJiaTask',
    		B = window.plus.bridge;
    	//if (plus.os.name == "iOS") {
    		var VJiaTask = {
    			/**
    			 * VJia任务
    			 * @param {Object} mtid 媒体ID
    			 * @param {Object} userid 当前用户ID
    			 */
    			tasklist: function(mtid, userid) {
    				return B.execSync(_BARCODE, "tasklist", [mtid, userid]);
    			},
    		};
    		window.plus.VJiaTask = VJiaTask;
    	//}
    	///
    },
    initIOSUmengDplus: function() {
		    //IOS UmengDplus
		    var _BARCODE = 'UmengDplus',
		    B = window.plus.bridge;
		    //if (plus.os.name == "iOS") {
		    var UmengDplus = {
	    			/**
	    			 * UmengDplus
	    			 * @param {Object} cbId 类型编号，1 初始化U-Dplus 2 提交事件 3  设置超级属性
	    			 * @param {Object} traid 2事件名称  或  3手机号码
	    			 * @param {Object} vla 2事件参数name1 或 3 member_id
	    			 * @param {Object} age 2事件参数value1 或3 年龄
	    			 * @param {Object} sex 2事件参数name2 或 3 性别
	    			 * @param {Object} profession 2事件参数value2 或 3 职业
	    			 */
		      	umobclick: function(cbId, traid , vla,age,sex,profession) {
			        	if(traid==null){
			        		traid='';
			        	}
			        	if(vla==null){
			        		vla='';
			        	}
			        	if(age==null){
			        		age='';
			        	}
			        	if(sex==null){
			        		sex='';
			        	}
			        	if(profession==null){
			        		profession='';
			        	}
		        		console.log('~~~~~~~~~~come in ----cbId='+cbId+',traid='+traid+',val='+vla+',age='+age+',sex='+sex+',pro='+profession);
		    			return B.execSync(_BARCODE, "umobclick", [cbId, traid,vla,age,sex,profession]);
		    },
		    };
		    window.plus.UmengDplus = UmengDplus;
		    //}
		    ///
		    //(2,"行为","canshu","1","canshu2","2")
	    
	},
	UmengTraPlus : function(cbId, traid , vla,age,sex,profession){
		if (plus.os.name == "iOS"&&helper.isdebug==false) {
    				helper.initIOSUmengDplus();
				plus.UmengDplus.umobclick(cbId, traid , vla,age,sex,profession);
			}
    },
    
    setSubmitTaskCache:function(memberId,taskId)
    {
    	var storageKey = "memberId" + memberId + "taskId" + taskId;
    	plus.storage.setItem(storageKey, taskId);
    },
    getSubmitTaskCache:function(memberId,taskId)
    {
    	var storageKey = "memberId" + memberId + "taskId" + taskId;
		return plus.storage.getItem(storageKey);
    },
    removeSubmitTaskCache:function(memberId,taskId)
    {
    	var storageKey = "memberId" + memberId + "taskId" + taskId;
    	plus.storage.removeItem(storageKey);
    },
	isExistApk:function(packageUrl,callback){ 
		 if (packageUrl == null) return;
        //apk下载成功 默认保存在本地相对路径的"_downloads"文件夹里面, 如"_downloads/logo.apk"
        var filename = packageUrl.substring(packageUrl.lastIndexOf("/") + 1, packageUrl.length);
        var relativePath = "_downloads/" + filename;
        //检查是否已存在
        plus.io.resolveLocalFileSystemURL(relativePath, function(entry) {
        	//返回相对路径 
            callback && callback(relativePath);          
        }, function(e) {
            callback('');
        });
	},
	/**
	 * 是否安装了应用
	 * @param {String} packageName = [get|post] 安卓包名或苹果urlschemes
	 */    
    isInstallApp:function(packageName)
    {
    	try
    	{ 
    		if(plus.os.name == "Android")
    		{
				var main = plus.android.runtimeMainActivity();
				var packageManager = main.getPackageManager();
				var PackageManager = plus.android.importClass(packageManager);
				var packageInfo = packageManager.getPackageInfo(packageName,PackageManager.GET_ACTIVITIES);
				
				if(packageInfo){
				    return true;
				}else{
					return false;
				}
			}else
			{
				var install;
				for (var i=0;i<5;i++) {
					var UIApplication = plus.ios.importClass("UIApplication");
					var NSURL = plus.ios.importClass("NSURL");
					
					var app = UIApplication.sharedApplication();
					var bdScheme = NSURL.URLWithString(packageName);
					install = app.canOpenURL(bdScheme);
					plus.ios.deleteObject(bdScheme);
					plus.ios.deleteObject(app);
					if(install != "0"){
					}else{
						return false;
					}
				}				
				return true;
			}
		}
    	catch(e)
    	{
    		return false;
    	}
    },
    /**
     * 刷新预加载页面
     */
	refreshPreload:function()
	{
		var subpages = ['home.html', 'mall/flow_exchange.html', 'income/my_revenue.html', 'person/person_center.html'];
		
		for(var i = 0 ;i <subpages.length;i++)
		{
			var page = plus.webview.getWebviewById(subpages[i]);
			if(page!=null)
			{
				page.evalJS("loadData()");
			}
		}
		//因为是从account.html页面按退出登录的，所以在这里关掉
		var accountPage = plus.webview.getWebviewById("account.html");
		if(accountPage)
		{
			accountPage.close();
		}
		
        var launch = plus.webview.getLaunchWebview();
        launch.show();
        launch.evalJS('jump("home.html")');		
	},
	/*
	 * 获取安卓应用AnroidManifest.xml信息
	 */
	getAppMeta: function(data_Name){
		if(plus.os.name == "Android")
		{
		    var PackageManager=plus.android.importClass("android.content.pm.PackageManager");
		    var context = plus.android.runtimeMainActivity();
		    var appInfo = plus.android.invoke(plus.android.invoke(context, 'getPackageManager'), "getApplicationInfo", plus.android.invoke(context, 'getPackageName'), PackageManager.GET_META_DATA);
		    return plus.android.invoke(appInfo.plusGetAttribute('metaData'),'getString',data_Name.toString());
	   }else
	   {
	   		return "AppStore";
	   }
	},
	/**
	 * 微信分享
	 * @param {URIString} share_type : 分享类型
	 * @param {URIString} share_content : 分享文本
	 * @param {URIString} share_url : 分享路径
	 * @param {URIString} share_pic : 分享图片网络地址
	 */
	wechatShareAPI:function(share_type, share_content, share_url, share_pic){
		if(share_type == "CopyShare")
		{
			this.copyToClip(share_content + " " + share_url);
			window.location = "weixin://";
		}else
		{	
			var pictures = [];
			pictures.push(plus.io.convertLocalFileSystemURL(share_pic));
			var description = share_content + " " + share_url;
			helper.copyToClip(description);
			if(plus.os.name == "Android")
			{								
				var Intent = plus.android.importClass('android.content.Intent');
				var ComponentName = plus.android.importClass('android.content.ComponentName');
				var ArrayList = plus.android.importClass('java.util.ArrayList');
				var Uri = plus.android.importClass('android.net.Uri');
				var Environment = plus.android.importClass('android.os.Environment');
				var File = plus.android.importClass('java.io.File');
				//var sdcardDir = plus.android.invoke(Environment.getExternalStorageDirectory(),'getAbsolutePath');
				var intent = new Intent();
				intent.setAction("android.intent.action.SEND_MULTIPLE");
				intent.setType("image/*");
				var localArrayList = new ArrayList();
				for (var i = 0; i < pictures.length; i++) {
					var filePath = pictures[i];
					localArrayList.add(Uri.fromFile(new File(filePath)));
				}
				intent.putParcelableArrayListExtra("android.intent.extra.STREAM", localArrayList);
			
				intent.putExtra(Intent.EXTRA_TEXT, description);
				var act = plus.android.runtimeMainActivity();
				act.startActivity(Intent.createChooser(intent, "流量玩家"));				
			}
			else{	
				this.initIOSShare();
				plus.NativeShare.share({
					imgs: pictures
				},function(suc) {
					if(share_type=="SystemShare_邀请好友"){
						helper.UmengTraPlus(2,"邀请好友分享完成");
					}
					
					mui.toast("分享成功");
				},function(err) {
					mui.toast("分享失败");
				});
			}
		}
	},
	/**
	 * 两个时间戳之间的天数
	 */
	getOffsetDays: function(timestamp1, timestamp2) {
    var offsetTime = Math.abs(timestamp1 - timestamp2);
    return Math.floor(offsetTime / (3600 * 24 * 1e3));
	},
	showIndexBottomMarsk : function(isShow)
	{
		var launch = plus.webview.getLaunchWebview();
		isShow == 1? launch.evalJS("bottomMarsk(1)"):launch.evalJS("bottomMarsk(0)");
	}
};

// 当前环境为沉浸式状态栏模式
mui.ready(function () {
    var ms = (/Html5Plus\/.+\s\(.*(Immersed\/(\d+\.?\d*).*)\)/gi).exec(navigator.userAgent);
    if (ms && ms.length >= 3) {
        var immersed = parseFloat(ms[2]);
        var header = document.querySelector('header');
        var content = document.querySelector('.mui-bar-nav~.mui-content');
        var wrapper = document.querySelector('.mui-content>.mui-scroll-wrapper');
        var slider = document.querySelector('.mui-content>.mui-slider');
        var topadjust1 = document.querySelector('.mui-content>.topadjust');
        var topadjust3 = document.querySelector('.mui-content>.topadjust3');
        var topadjust5 = document.querySelector('.mui-content>.topadjust5');
        var page_scroll = document.querySelector('.mui-content>.page_scroll');

        if (header) {
            var topoffset = immersed + 44;
            header.style.paddingTop = immersed + 'px';
            header.style.height = topoffset + 'px';
            if (content) {
                content.style.paddingTop = topoffset + 'px';
            }
            if (wrapper) {
                wrapper.style.top = topoffset + 'px';
            }
            if(slider)
            {
            	slider.style.top = topoffset + 'px';
            }
        }
	    if(page_scroll)
	    {
	       	page_scroll.style.top = topoffset + 'px';
	    }  
	    if(topadjust1)
	    {
	        topadjust1.style.top = (90 + immersed) + 'px';
	    }
	    if(topadjust3)
	    {
	        topadjust3.style.top = (140 + immersed) + 'px';
	    }
	    if(topadjust5)
	    {
	        topadjust5.style.top = (194 + immersed) + 'px';
	    }        
    }
});

