﻿//倒计时
var secord = 0;
var interval = null;
//是否正在加载图片验证码
var isloadedingImgCode = false;
//是否点击了获取验证码按钮
var isTapCode = false;
var request = 0;

mui.init();

//页面元素
var formElements = {
    divImgcode: document.querySelector('.ipt_tpyz'),
    txtMobile: document.querySelector('[name="mobile"]'),
    txtSecret: document.querySelector('[name="verify_code"]'),
    txtImgCode: document.querySelector('[name="pic_code"]'),
    imgCode: document.querySelector('.img_yz img'),
    txtPassword: document.querySelector('[name="password"]'),
    aSendCode: document.querySelector('.send_yzm'),
    txtInviteCode: document.querySelector('[name="invite_code"]')
}

mui.plusReady(function () {
	helper.UmengTraPlus(2,"手机注册页");	
    //发送验证码
    formElements.aSendCode.addEventListener('tap', getVerificationCode);

    //获取图片验证码
    formElements.imgCode.addEventListener('tap', getImageCode);

    //注册
    document.querySelector('.block_btn').addEventListener('tap', memberRegister);

    formElements.txtMobile.addEventListener('input', onInputMobile);

    formElements.txtMobile.addEventListener('change', onChangeMobile);
});


//文本框开始编辑就把正在加载图片的标识设置为false，方便重新获取图片验证码
function onInputMobile() {
    isloadedingImgCode = false;
}

//清除文本框
function clearTextBox() {
    formElements.txtMobile.value = "";
    formElements.txtSecret.value = "";
    formElements.txtPassword.value = "";
    formElements.txtInviteCode.value = "";
    formElements.txtImgCode.value = "";
	//是否正在加载图片验证码
	isloadedingImgCode = false;
	//是否点击了获取验证码按钮
	isTapCode = false;    
}

//手机号码改变事件，改变后重新获取图片验证码
function onChangeMobile() {
    formElements.divImgcode.style.display = 'none';
    getImageCode();
}

//注册会员
function memberRegister() {
    if (request > 0) {
        mui.alert('提交中');
        return false;
    }

    //判断是否为空
    var mobile = formElements.txtMobile.value;
    if (mobile == '') {
        mui.toast('请输入您的手机号码');
        return;
    } else {
        //验证是否符合手机号码规则
        if (verificationMobile(mobile) == false) {
            mui.toast('请输入正确的手机号码');
            return;
        }
        if(isOtherTelphone(mobile)== true){
        		mui.toast('由于运营商问题，该号码无法进行注册，如有疑问，请联系客服');
        		return;
        }
    }

    //判断密码
    var password = formElements.txtPassword.value;
    if (password == '' || password.length < 6 || password.length > 16) {
        mui.toast('密码长度为6-16位数字或英文字符串');
        return;
    } else {
        if (verificationSerialNumber(password) == false) {
            mui.toast('密码必须是数字或英文');
            return;
        }
    }

    var secret = formElements.txtSecret.value;
    if (secret == '' && secret.length != 4) {
        mui.toast('请输入正确的手机验证码')
        return;
    }

    var invite_code = formElements.txtInviteCode.value;

    var device_token = plus.push.getClientInfo().token;
    var clientid = plus.push.getClientInfo().clientid;
    var uuid = plus.device.uuid;
    var umeng_channel = helper.getAppMeta("UMENG_CHANNEL");
    var city_id = helper.getCity().city_id;
    var os_name = plus.os.name;

    var param = {
        mobile: mobile,
        password: password,
        verify_code: secret,
        device_token: device_token,
        clientid: clientid,
        uuid: uuid,
        invite_code: invite_code,
        umeng_channel: umeng_channel,
        city_id: city_id,
        os_name: os_name
    };

    mui.ajax({
        type: 'POST',
        url: helper.serverUrl + 'api/MemberAPI/Register',
        data: JSON.stringify(param),
        dataType: 'json',
        contentType: 'application/json',
        timeout: helper.xhrTimeout,
        crossDomain: true,
        success: function (data) {
            console.log(JSON.stringify(data));
            mui.toast(data.message);
            if (data.code == 0) {  
            		helper.UmengTraPlus(2,"注册成功");
                plus.storage.setItem("member_cache", JSON.stringify(data.member));
                clearTextBox();
                helper.refreshPreload();
            }
        },
        error: function (data) {
            console.log(data.responseText);
        },
        beforeSend: function () {
            request++;
            window.plus && plus.nativeUI.showWaiting();
        },
        complete: function () {
            request--;
            window.plus && plus.nativeUI.closeWaiting();
        }
    });
}

//获取验证码
function getVerificationCode() {
    //判断是否为空
    var mobile = formElements.txtMobile.value;
    if (mobile == '') {
        mui.toast('请输入您的手机号码');
        return;
    } else {
        //验证是否符合手机号码规则
        if (verificationMobile(mobile) == false) {
            mui.toast('请输入正确的手机号码');
            return;
        }
        if(isOtherTelphone(mobile)== true){
        		mui.toast('由于运营商问题，该号码无法进行注册，如有疑问，请联系客服');
        		return;
        }
    }
    //标识用户点击过获取验证码按钮，如果获取图片验证码后，没有验证码数据，标识第一次获取，直接获取验证码
    //避免用户再次点击

    isTapCode = true;
    if (isloadedingImgCode == false) {
        return;
    }

    getCode();
}

//获取图片验证码
function getImageCode() {
    var mobile = formElements.txtMobile.value;
    if (mobile == '') {
        mui.toast('请输入您的手机号码');
        return;
    } else {
        //验证是否符合手机号码规则
        if (verificationMobile(mobile) == false) {
            mui.toast('请输入正确的手机号码');
            return;
        }
        if(isOtherTelphone(mobile)== true){
        		mui.toast('由于运营商问题，该号码无法进行注册，如有疑问，请联系客服');
        		return;
        }
    }

    var param = {
        mobile: mobile
    }

    mui.ajax({
        type: "GET",
        url: helper.serverUrl + "api/SmsAPI/GetPictureCode",
        data: param,
        async: true,
        dataType: "json",
        contentType: 'application/json',
        timeout: helper.xhrTimeout,
        crossDomain: true,
        error: function (xhr, type, errorThrown) {
            //mui.toast('请求失败，请重试!');
        },
        success: function (data) {

            if (data.code == 0) {
                if (isTapCode == true) {
                    mui.toast('请输入图片验证码');
                }
                formElements.divImgcode.style.display = 'block';
                formElements.imgCode.src = "data:image/png;base64," + data.imageCode;
            } else {

                if (data.code == 1) {
                    if (isTapCode == true) {
                        getCode();
                    }
                } else if (data.code == -1) {
                    mui.toast(data.message);
                }
                formElements.divImgcode.style.display = 'none';
                formElements.imgCode.src = "data:image/png;base64,";
            }
        },

        beforeSend: function () {
            window.plus && plus.nativeUI.showWaiting();
        },
        complete: function () {
            isloadedingImgCode = true;
            window.plus && plus.nativeUI.closeWaiting();
        }
    });
}

//获取短信验证码
function getCode() {
    //判断是否为空
    var mobile = formElements.txtMobile.value;
    if (mobile == '') {
        mui.toast('请输入您的手机号码');
        return;
    } else {
        //验证是否符合手机号码规则
        if (verificationMobile(mobile) == false) {
            mui.toast('请输入正确的手机号码');
            return;
        }
        if(isOtherTelphone(mobile)== true){
        		mui.toast('由于运营商问题，该号码无法进行注册，如有疑问，请联系客服');
        		return;
        }
    }

    var piccode = formElements.txtImgCode.value;
    //如果显示出来了图片验证码，提示输入
    if (formElements.divImgcode.style.display == 'block') {
        if (piccode == '') {
            mui.toast('请输入图片验证码');
            return;
        }
    }
    if (secord > 0) return;
    secord = 120;

    var param = {
        mobile: mobile,
        type: 2,
        pic_code: piccode
    }

    mui.ajax({
        type: "GET",
        url: helper.serverUrl + "api/SmsAPI/GetVerificationCode",
        data: param,
        async: true,
        dataType: "json",
        contentType: 'application/json',
        timeout: helper.xhrTimeout,
        crossDomain: true,
        error: function (xhr, type, errorThrown) {
            //异常处理；
            secord = 0;
            mui.toast('验证码发送失败，请稍后再试!');
        },
        success: function (data) {
            if (data.code == -2) {
                secord = 0;
                piccode.value = '';
                getImageCode(); 
                mui.toast(data.message);
            }else if(data.code < 0)
            {
                secord = 0;               
                mui.toast(data.message);            	
            }
            else {
                mui.toast('验证码发送成功，请注意查收!');
                //发送成功后修改文字
                var button = formElements.aSendCode;
                //倒计时两分钟
                button.innerHTML = secord + '秒后可再发送';
                clearInterval(interval);
                interval = setInterval(function () {
                    if (--secord == 0) {
                        clearInterval(interval);
                        button.innerHTML = '获取验证码';
                        secord = 0;
                        piccode.value = '';
                        getImageCode();
                    } else {
                        button.innerHTML = secord + 's后可再发送';
                    }
                }, 1000);
            }
        },
        beforeSend: function () {
            window.plus && plus.nativeUI.showWaiting();
        },
        complete: function () {
            window.plus && plus.nativeUI.closeWaiting();
            isTapCode = false;
        }
    });
}