﻿var request = 0;

mui.plusReady(function () {
    if (member == null) {
        return;
    }

    loadData();

    mui('.single_sel').on('tap', 'a', function () {
        var last = this.parentNode.querySelector('.active');
        if (last) {
            last.classList.remove('active')
        }
        this.classList.add('active');
    });

    mui('.multiple_sel').on('tap', 'a', function () {
        if (this.classList.contains('active')) {
            this.classList.remove('active');
        } else {
            this.classList.add('active');
        }
    });

    document.getElementById('btnSubmit').addEventListener('tap', function () {
        if (request > 0) {
            mui.alert('提交中');
            return false;
        }

        var age_type = document.querySelector('#age .active');
        var profession = document.querySelector('#profession .active');
        var interestlist = document.querySelectorAll('#interest .active');

        var interest_ids = '';
        mui.each(interestlist, function (index, item) {
            interest_ids += (item.getAttribute('data-id') + ',');
        });
        interest_ids = interest_ids.replace(/,$/, '');
		console.log(interest_ids);
        if (!age_type) {
            mui.toast("请选择你的年龄段");
            return;
        } else if (!profession) {
            mui.toast("请选择你的职业");
            return;
        } else if (!interest_ids) {
            mui.toast("请选择你的兴趣爱好，可多选");
            return;
        }

        age_type = age_type.getAttribute('data-id');
        profession = profession.getAttribute('data-id');

        mui.ajax({
            type: 'POST',
            url: helper.serverUrl + 'api/MemberAPI/UpdateMoreInfo',
            data: JSON.stringify({
                memberId: member.member_id,
                age_type: age_type,
                profession: profession,
                interest_ids: interest_ids,
                token: member.token
            }),
            dataType: 'json',
            contentType: 'application/json',
            success: function (data) {
                if (data.code == 0) {
                    mui.toast(data.message);
                    plus.webview.getWebviewById('income/my_revenue.html').evalJS('loadData()');
                    //有可能第一次注册，从首页来
                    var accountPage = plus.webview.getWebviewById('account.html');
                    if(accountPage)
                    {
                    	accountPage.evalJS('loadData()');
                    	mui.back();
                    }else
                    {
                    	//首页进来
                    	helper.openWindow("account.html","account.html",false,true,null);
                    }                                                        
                } else if (data.code == -1) {
                    mui.toast(data.message);
                } else if (data.code == -11) {
                    helper.gotoLogin();
                }
            },
            error: function (data) {
                //console.log(data.responseText);
                //mui.toast('请求失败，请重试！');
            },
            beforeSend: function () {
                request++;
            },
            complete: function () {
                request--;
            }
        });
    });
});

function loadData() {
    var member_more = plus.storage.getItem('member_more');
console.log(member_more);
    var more = JSON.parse(member_more);

    mui.each(more, function (name, val) {
        var value = more[name];
        if (value.indexOf(',') >= 0) {
            var values = value.split(',');
            for (var i = 0; i < values.length; i++) {
                var element = document.getElementById(name).querySelector('a[data-id="' + values[i] + '"]');
                if (element) {
                    element.classList.add('active');
                }
            }
        } else {
            var element = document.getElementById(name).querySelector('a[data-id="' + value + '"]');
            if (element) {
                element.classList.add('active');
            }
        }
    });
}
