//倒计时
var secord = 0;
var interval = null;
//是否正在加载图片验证码
var isloadedingImgCode = false;
//是否点击了获取验证码按钮
var isTapCode = false;

mui.init();

var formElements = {
    txtMobile: document.querySelector('[name="mobile"]'),
    txtImgCode: document.querySelector('[name="pic_code"]'),
    divImgcode: document.querySelector('.ipt_tpyz'),
    imgCode: document.querySelector('.ipt_tpyz img'),
    btnNext: document.querySelector('.block_btn')
}

mui.plusReady(function () {
	helper.UmengTraPlus(2,"绑定手机");
    formElements.btnNext.addEventListener('tap', getVerificationCode);
    formElements.imgCode.addEventListener('tap', getImageCode);

    formElements.txtMobile.addEventListener('input', onInputMobile);
    formElements.txtMobile.addEventListener('change', onChangeMobile);
});


//文本框开始编辑就把正在加载图片的标识设置为false，方便重新获取图片验证码
function onInputMobile() {
    isloadedingImgCode = false;
}

//手机号码改变事件，改变后重新获取图片验证码
function onChangeMobile() {
    formElements.divImgcode.style.display = 'none';
    getImageCode();
}

//获取验证码
function getVerificationCode() {
    //判断是否为空
    var mobile = formElements.txtMobile.value;

    if (mobile == '') {
        mui.toast('请输入您的手机号码');
        return;
    } else {
        //验证是否符合手机号码规则
        if (verificationMobile(mobile) == false) {
            mui.toast('请输入正确的手机号码');
            return;
        }
       if(isOtherTelphone(mobile)== true){
        		mui.toast('由于运营商问题，该号码无法进行注册，如有疑问，请联系客服');
        		return;
        }
    }
    //标识用户点击过获取验证码按钮，如果获取图片验证码后，没有验证码数据，标识第一次获取，直接获取验证码
    //避免用户再次点击

    isTapCode = true;

    if (isloadedingImgCode == false) {
        return;
    }

    getCode();
}

//获取图片验证码
function getImageCode() {
    var mobile = formElements.txtMobile.value;
    if (mobile == '') {
        mui.toast('请输入您的手机号码');
        return;
    } else {
        //验证是否符合手机号码规则
        if (verificationMobile(mobile) == false) {
            mui.toast('请输入正确的手机号码');
            return;
        }
     	if(isOtherTelphone(mobile)== true){
        		mui.toast('由于运营商问题，该号码无法进行注册，如有疑问，请联系客服');
        		return;
        }
    }

    var param = {
        mobile: mobile
    };

    mui.ajax({
        type: 'GET',
        url: helper.serverUrl + 'api/SmsAPI/GetPictureCode',
        data: param,
        async: true,
        dataType: 'json',
        contentType: 'application/json',
        timeout: helper.xhrTimeout,
        crossDomain: true,
        success: function (data) {
            if (data.code == 0) {
                if (isTapCode == true) {
                    mui.toast('请输入图片验证码');
                }
                formElements.divImgcode.style.display = 'block';
                formElements.imgCode.src = 'data:image/png;base64,' + data.imageCode;
            } else {

                if (data.code == 1) {
                    if (isTapCode == true) {
                        getCode();
                    }
                } else if (data.code == -1) {
                    mui.toast(data.message);
                }
                formElements.divImgcode.style.display = 'none';
                formElements.imgCode.src = 'data:image/png;base64,';
            }
        },
        error: function (xhr, type, errorThrown) {
            //mui.toast('请求失败，请重试!');
        },
        beforeSend: function () {
            window.plus && plus.nativeUI.showWaiting();
        },
        complete: function () {
            isloadedingImgCode = true;
            window.plus && plus.nativeUI.closeWaiting();
        }
    });
}

//获取短信验证码
function getCode() {
    //判断是否为空
    var mobile = formElements.txtMobile.value;
    if (mobile == '') {
        mui.toast('请输入您的手机号码');
        return;
    } else {
        //验证是否符合手机号码规则
        if (verificationMobile(mobile) == false) {
            mui.toast('请输入正确的手机号码');
            return;
        }
     	if(isOtherTelphone(mobile)== true){
        		mui.toast('由于运营商问题，该号码无法进行注册，如有疑问，请联系客服');
        		return;
        }
    }

    var piccode = formElements.txtImgCode.value;
    //如果显示出来了图片验证码，提示输入
    if (formElements.divImgcode.style.display == 'block') {
        if (piccode == '') {
            mui.toast('请输入图片验证码');
            return;
        }
    }

    if (secord > 0) {
        return;
    }

    secord = 120;

    var param = {
        mobile: mobile,
        type: 2,
        pic_code: piccode
    };

    mui.ajax({
        type: 'GET',
        url: helper.serverUrl + 'api/SmsAPI/GetVerificationCode',
        data: param,
        async: true,
        dataType: 'json',
        contentType: 'application/json',
        timeout: helper.xhrTimeout,
        crossDomain: true,
        success: function (data) {
            if (data.code < 0) {
                secord = 0;
                mui.toast(data.message);
            } else {
                mui.toast('验证码发送成功，请注意查收!');
                secord = 0;
                helper.openWindow('bind_mobile2.html', 'bind_mobile2.html', false, true, { mobile: mobile });
            }
        },
        error: function (xhr, type, errorThrown) {
            console.log(xhr.responseText);
            //异常处理；
            secord = 0;
            mui.toast('验证码发送失败，请稍后再试!');
        },
        beforeSend: function () {
            window.plus && plus.nativeUI.showWaiting();
        },
        complete: function () {
            window.plus && plus.nativeUI.closeWaiting();
            isTapCode = false;
        }
    });
}