﻿mui.plusReady(function() {
	helper.UmengTraPlus(2,"个人中心");
	// 获取本地应用资源版本号
	plus.runtime.getProperty(plus.runtime.appid, function(inf) {
		document.getElementById('version').innerHTML = 'Ver ' + inf.version;
	});

	document.getElementById('lldh').addEventListener('tap', function() {
		//微信登录用户需绑定了手机号码才能进入流量兑换
		if(!member.mobile) {
			mui.confirm("兑换流量需要绑定手机，你暂未绑定，是否前往绑定手机？", "提示", ['确定', '取消'], function(e) {
				if(e.index == 0) {
					helper.openWindow("account.html", "../person/account.html", false, true);
				}
			});
		} else {
			var launch = plus.webview.getLaunchWebview();
			launch.show();
			launch.evalJS('jump("mall/flow_exchange.html")');
		}
	});

	loadData();
});

function loadData() {
	member = helper.getMemberCache();
	if(member == null) {
		return;
	}
console.log('~~~~~member'+JSON.stringify(member));
	mui.ajax({
		type: 'GET',
		url: helper.serverUrl + 'api/MemberAPI/GetPersonCenterInfo',
		data: {
			memberId: member.member_id,
			token: member.token
		},
		dataType: 'json',
		contentType: 'application/json',
		success: function(data) {
			console.log('~~~~~'+JSON.stringify(data));
			if(data.code == 0) {
				document.getElementById('nickname').innerHTML = member.nickname || data.nickname;
				// 先用缓存如果没有再用数据，再没有使用默认
				document.getElementById('headimgurl').src = member.headimgurl || data.headimgurl || '../images/default_head.jpg';
				document.getElementById('grade').innerHTML = 'LV' + data.grade;
				document.getElementById('grade').className = "rank_" + data.grade;
				document.getElementById('jiacheng').innerHTML = data.jiacheng + '%';
				document.getElementById('experience').innerHTML = data.experience_value + '/' + data.next_experience_value;
				mui('.rank_progress').progressbar().setProgress(data.experience_value / data.next_experience_value * 100);
			} else if(data.code == -1) {
				mui.toast(data.message);
			} else if(data.code == -11) {
				helper.gotoLogin();
			}
		},
		error: function(data) {
			//console.log(data.responseText);
			mui.toast('请求失败，请重试！');
		},
		beforeSend: function() {
			window.plus && plus.nativeUI.showWaiting();
		},
		complete: function() {
			window.plus && plus.nativeUI.closeWaiting();
		}
	});
}

// 后台上传文件
function backgroundUploadFile(sourceFile, folder) {
	var task = plus.uploader.createUpload(helper.uploadFile, {
		method: 'GET',
		blocksize: 204800,
		priority: 100
	}, function(t, status) {
		// 上传完成
		if(status == 200) {
			var result = JSON.parse(t.responseText);
			if(result.code >= 0) {
				//var url = helper.uploadHost + result.file;
				member.headimgurl = result.file;

				mui.ajax({
					type: 'POST',
					url: helper.serverUrl + 'api/MemberAPI/UpdateHeadimgurl',
					data: JSON.stringify({
						memberId: member.member_id,
						token: member.token,
						headimgurl: member.headimgurl
					}),
					dataType: 'json',
					contentType: 'application/json',
					crossDomain: true,
					success: function(data) {
						if(data.code == 0) {
							// 更换头像成功
						} else if(data.code == -1) {
							mui.toast(data.message);
						} else if(data.code == -11) {
							helper.gotoLogin();
						}
					},
					error: function(data) {
						mui.alert('更新头像失败，请重试！');
					}
				});
			} else {
				mui.alert('上传头像错误: ' + decodeURIComponent(result.msg));
			}
		} else {
			mui.alert('上传头像失败，请重试');
		}
	});
	task.addFile(sourceFile, {
		key: 'Filedata'
	});
	task.addData('FilePath', folder);
	task.addData('maxSize', 0);
	task.addData('pic_width', 0);
	task.addData('pic_height', 0);
	task.start();
}