var task_id = 0; //主任务编号
var task_type = ""; //任务类型：  online 线上任务 register 注册任务
var title="";
mui.init();
mui.plusReady(function() {
	//获取参数
	var param = plus.webview.currentWebview().param;
	task_id = param.task_id;
	task_type = param.task_type;
	title=param.title;
	document.querySelector(".upload_con").innerHTML = param.examine;
});

var myul = document.querySelector('.img_ul_list');

//继续上传
document.getElementById('btnUpload').addEventListener('tap', function() {
	if(myul.querySelectorAll('li').length >= 6) {
		mui.toast('上传图片限制不超过6张');
		return;
	} else {
		plus.nativeUI.actionSheet({
			cancel: '取消',
			buttons: [{
				title: "相册"
			}, {
				title: "拍照"
			}]
		}, function(e) {
			var index = e.index;
			switch(index) {
				case 1:
					galleryPicture();
					break;
				case 2:
					cameraPicture();
					break;
			}
		});
	}
});

//确认上传
document.getElementById('btnConfirm').addEventListener('tap', function() {
	var member = helper.getMemberCache();
	if(member == null) {
		mui.toast('需要先进行登录！');
		helper.openWindow("login.html", "../member/login.html", false, true, null);
		return;
	}

	var imgs = [];
	var submit_content = "";
	//获取选中的图片
	mui.each(document.querySelectorAll('li img'), function(index, item) {
		imgs.push(item.getAttribute('src'));
	});

	if(imgs.length > 0) {
		submit_content = (task_type == "online" || task_type == "pic") ? imgs.join("|*|"): plus.device.uuid + "*耒*" + imgs.join("|*|");		
	} else {
		mui.toast("请上传图片提交审核,最多支持6张");
		return;
	}

	var param = {
		memberId: member.member_id,
		token: member.token,
		task_id: task_id,
		submit_content: submit_content
	};	
	console.log("param:"+JSON.stringify(param));
	var apiMethod = "";
	switch(task_type)
	{
		case "online":
			apiMethod = "SubmitOnlineTask";
		break;
		case "pic":
			apiMethod = "SubmitPictureTask";
		break;
		case "register":
			apiMethod = "SubmitRegisterTask";
		break;
	}
	
	helper.ajax("api/TaskAPI/" + apiMethod, "POST", param, function(data) {
		console.log("SubmitOnlineTask:" + JSON.stringify(data));
		mui.toast(data.message);
		if(data.code == 0) {	
			helper.UmengTraPlus(2,"注册试用提交审核完成","任务ID",task_id,"标题",title);
	                       
			//helper.setSubmitTaskCache(member.member_id,task_id);
			//重新刷新提交页面
			var parent = plus.webview.currentWebview().opener();
			mui.fire(parent, "changeTaskState");

			//刷新列表任务状态
			mui.each(["home.html", "task/tasklist.html", "my_tasklist.html"], function(index, item) {
				var page = plus.webview.getWebviewById(item);
				if(page != null) {
					page.evalJS('updateTaskState(' + task_id + ')');
				}
			});
			mui.back();
		}
	},function(err){});
});

//上传图片
function uploadImage(sourceFile) {
	plus.nativeUI.showWaiting("图片上传中，请稍等...");
	var task = plus.uploader.createUpload(helper.uploadFile, {
		method: 'GET',
		blocksize: 204800,
		priority: 100
	}, function(t, status) {
		// 上传完成
		if(status == 200) {
			var result = JSON.parse(t.responseText);
			if(result.code >= 0) {
				var li = document.createElement('li');
				console.log(result.file);
				li.innerHTML = '<img src="' + result.file + '" /><a class="del_img"  href="javascript:;">删除</a>';
				myul.appendChild(li);
			} else {
				mui.alert('上传图片错误: ' + decodeURIComponent(result.msg));
			}
		} else {
			mui.alert('上传图片失败，请重试');
		}
		plus.nativeUI.closeWaiting();
	});
	task.addFile(sourceFile, {
		key: 'Filedata'
	});
	task.addData('timestamp', '1437636204');
	task.addData('token', 'f9799cd69ac825b84a7c2dabf9abcb2b');
	task.addData('FilePath', "task_check"); //文件夹路径
	task.addData('maxSize', "0"); //图片最大，不限制为0
	task.addData('pic_width', "0"); //不限制为0
	task.addData('pic_height', "0"); //不限制为0
	task.addData('uid', '1237636104');
	task.start();
}

//压缩图片
function compressImage(sourceFile) {
	plus.io.resolveLocalFileSystemURL(sourceFile, function(entry) {
		// 可通过entry对象操作图片文件
		entry.file(function(file) {
			//图片大于500kb，进行压缩
			var upload_quality = 20;
			var fileSize = file.size;

			if(fileSize > 2048000) {
				upload_quality = 7;
			} else if(file.size > 1024000) {
				upload_quality = 10;
			} else if(file.size > 512000) {
				upload_quality = 15;
			}

			//大于200kb的都要进行压缩
			if(fileSize > 204800) {
				plus.nativeUI.showWaiting("压缩图片中");
				//压缩图片的文件路径
				var filePath = sourceFile.substr(0, sourceFile.lastIndexOf('/') + 1) + 'zipTaskImage.jpg';
				plus.zip.compressImage({
					src: sourceFile,
					dst: filePath,
					quality: upload_quality,
					overwrite: true
				}, function(result) {
					plus.nativeUI.closeWaiting();
					uploadImage(result.target);
				}, function(e) {
					mui.toast("压缩图片出错:" + e.message);
					plus.nativeUI.closeWaiting();
				});
			} else {
				uploadImage(sourceFile);
			}
		});
	}, function(e) {
		alert("获取文件失败: " + e.message);
	});
}

//移除选中图片
mui(".img_ul_list").on('tap', 'li a', function() {
	var $li = this.parentNode;
	mui.confirm('是否移除选中的图片', '移除图片', ["是", "否"], function(e) {
		if(e.index == 0) {
			myul.removeChild($li);
		}
	});
});

// 拍照
function cameraPicture() {
	var cmr = plus.camera.getCamera();
	cmr.captureImage(function(p) {
		plus.io.resolveLocalFileSystemURL(p, function(entry) {
			var p = entry.toLocalURL();
			compressImage(p);
		}, function(e) {
			mui.alert("读取拍照文件错误：" + e.message);
		});
	}, function(e) {
		mui.alert("拍照失败：" + e.message);
	});
}

// 相册
function galleryPicture() {
	plus.gallery.pick(function(p) {
		// 从相册返回的路径不需要转换可以直接使用
		compressImage(p);
	});
}