//验证手机号码格式是否正确
function verificationMobile(value) {
	if (!!value.match(/^(0|86|17951)?(13[0-9]|15[012356789]|17[0-9]|18[0-9]|14[57])[0-9]{8}$/)) {
		return true;
	} else {
		return false;
	}
}

//验证电话号码
function verificationTel(value){
    if(/^0\d{2,3}-?\d{7,8}$/.test(value)){
        return true;
    }else{
       return false;
    }
}

//验证身份证号码格式
function verificationCardID(value){
	if (/^[1-9]\d{7}((0\d)|(1[0-2]))(([0|1|2]\d)|3[0-1])\d{3}$|^[1-9]\d{5}[1-9]\d{3}((0\d)|(1[0-2]))(([0|1|2]\d)|3[0-1])\d{3}([0-9])(\d|X|x|Y|y)?$/.test(value))
	{
        return true;
    }
	else
	{
		return false;
	}
}

//只允许汉字
function verificationChinese(value){
 	if (/^[\u4e00-\u9fa5]*$/.test(value)) {
        return true;
    }
	else
	{
		return false;
	}
}

//汉字，字母
function verificationChar(value){	
	if (/^[A-Za-z\u4e00-\u9fa5]+$/.test(value)) {
        return true;
    }
	else{
		return false;
	}
}

//汉字，字母，数字
function verificationCharWithNumber(value){	
	if (/^[A-Za-z0-9\u4e00-\u9fa5]+$/.test(value)) {
        return true;
    }
	else{
		return false;
	}
}

//可包含数字、字母、-
function verificationSerialNumber(value){
	 if (/^[0-9a-zA-Z][0-9a-zA-Z-]+[0-9a-zA-Z]$/.test(value)) {
	 	return true;
	 }
	 else
	 {
	 	return false;
	 }
}
/*
移动号段：
134 135 136 137 138 139 147 150 151 152 157 158 159 178 182 183 184 187 188
联通号段：
130 131 132 145 155 156 175 176 185 186
电信号段：
133 149 153 173 177 180 181 189
虚拟运营商:
170 171
*/
function isOtherTelphone(tel){
	console.log(tel);
	if(/^(0|86|17951)?(13[0-9]|15[012356789]|17[35678]|18[0-9]|14[579])[0-9]{8}$/.test(tel)){
		return false;
	}
	else{
		return true;
	}

}






